Bug 321431 - groffer installed in wrong directory
groffer installed in wrong directory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: groff (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-06 12:48 EDT by JH
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.18.1.4-7.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 03:08:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JH 2007-10-06 12:48:02 EDT
Description of problem: At the command line I type [jrh@oz ~]$ groffer mplayer
& get this error:
/usr/bin/groffer: line 334: /usr/lib/groff/groffer/groffer2.sh: No such file or
directory
Version-Release number of selected component (if applicable):
[jrh@oz ~]$ yum list groff
Installed Packages
groff.i386 1.18.1.4-6.fc7  installed    
How reproducible: 100%
Steps to Reproduce:
1.Same as Description of problem above
Actual results:
The error described above
Expected results:
A pdf version of the mplayer manpage
Additional info: The F7 version is 
[jrh@oz ~]$ groffer -v
groffer 0.9.31 of 11 Oct 2006 (shell version)
It has groffer installed at 
/usr/bin/groffer
/usr/share/groff/1.18.1.4/groffer
/usr/share/groff/1.18.1.4/groffer/groffer2.sh
and so forth.
As a comparison, Slackware 12 installs a different version
jrh@calderone:~$ groffer -v
groffer 0.9.22 of 22 August 2005
in this location ...
/usr/lib/groff/groffer
/usr/lib/groff/groffer/groffer2.sh
/usr/bin/groffer
NOTE NOTE NOTE NOTE NOTE
I fixed this with the following symbolic link I do NOT recommend this solution,
it is a hack.:
[jrh@oz ~]$ cd /usr/lib
[jrh@oz lib]$ sudo mkdir groff
[jrh@oz lib]$ cd groff
[jrh@oz groff]$ sudo ln -s /usr/share/groff/1.18.1.4/groffer groffer
NOTE NOTE NOTE
I then discovered that groffer has a dependency on something called grog
[jrh@oz ~]$ groffer mplayer
/usr/lib/groff/groffer/groffer2.sh: line 3799: grog: command not found
/usr/lib/groff/groffer/groffer2.sh: line 7000: grog: command not found
_do_display(): empty output.
grog is provided in groff-perl.i386 1.18.1.4-6.fc7
Maybe this means that groff should have a dependency on groff-perl.
Once I installed groff-perl I had success printing my pdf version of the mplayer
manpage.
Comment 1 Marcela Mašláňová 2007-10-08 02:57:19 EDT
Thank you for report. The correct installation path for executable script is
/usr/share... The path was fixed, but not the related scripts.

In the meantime fix will be in rawhide.
Comment 2 Fedora Update System 2007-10-24 03:08:04 EDT
groff-1.18.1.4-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.